No unit tests for nova.virt.firewall.IptablesFirewallDriver

Bug #1295889 reported by Jay Pipes on 2014-03-22
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenStack Compute (nova)
Low
Unassigned

Bug Description

There do not seem to be actual unit tests for the nova.virt.firewall.IptablesFirewallDriver class.

There are tests for the various subclassing drivers, but there doesn't seem to be unit tests for the base class itself, including the important prepare_instance_filter() method that subclasses rarely override.

Jay Pipes (jaypipes) on 2014-03-23
Changed in nova:
assignee: nobody → Jay Pipes (jaypipes)

Fix proposed to branch: master
Review: https://review.openstack.org/82379

Changed in nova:
status: New → In Progress
Joe Gordon (jogo) on 2014-03-24
Changed in nova:
importance: Undecided → Wishlist
importance: Wishlist → Low
Tracy Jones (tjones-i) wrote :

this bug has not been touched in a long time and it's patch(es) are abandoned. Please set back to in progress if you start working on it

Changed in nova:
status: In Progress → Triaged
Jay Pipes (jaypipes) on 2014-08-09
Changed in nova:
assignee: Jay Pipes (jaypipes) → nobody
tags: added: low-hanging-fruit

Fix proposed to branch: master
Review: https://review.openstack.org/114958

Changed in nova:
assignee: nobody → Pawel Koniszewski (pawel-koniszewski)
status: Triaged → In Progress
Changed in nova:
assignee: Pawel Koniszewski (pawel-koniszewski) → nobody
Changed in nova:
status: In Progress → Confirmed

Change abandoned by Pawel Koniszewski (<email address hidden>) on branch: master
Review: https://review.openstack.org/114958

dnovosel (dnovosel) on 2015-03-03
Changed in nova:
assignee: nobody → dnovosel (dnovosel)
li,chen (chen-li) on 2015-11-17
Changed in nova:
assignee: dnovosel (dnovosel) → li,chen (chen-li)

Fix proposed to branch: master
Review: https://review.openstack.org/246274

Changed in nova:
status: Confirmed → In Progress
li,chen (chen-li) on 2016-02-26
Changed in nova:
assignee: li,chen (chen-li) → nobody
fayaz (fayaz-912) on 2016-02-26
Changed in nova:
assignee: nobody → fayaz (fayaz-912)

Change abandoned by li,chen (<email address hidden>) on branch: master
Review: https://review.openstack.org/246274
Reason: fayaz already take over the bug, so abandon this change.

Changed in nova:
assignee: fayaz (fayaz-912) → nobody
status: In Progress → Confirmed
Julian Sy (syjulian) on 2016-03-17
Changed in nova:
assignee: nobody → Julian Sy (syjulian)
Julian Sy (syjulian) on 2016-03-21
Changed in nova:
assignee: Julian Sy (syjulian) → nobody
Julian Sy (syjulian) on 2016-04-07
Changed in nova:
assignee: nobody → Julian Sy (syjulian)

Solving an inconsistency: This bug report has an assignee and it looks
like this could result in a patch. Therefore I switch the status to
"In Progress".
Dear assignee, please provide a (WIP) patch in the next 2 weeks. If you
stop working on this report, please remove yourself as assignee and
switch the status back. If you need assistance, reach out on the
IRC channel #openstack-nova or use the mailing list.

Changed in nova:
status: Confirmed → In Progress

The age of this report and number of assignee changes suggest that this
isn't really a low-hanging-fruit. I'm removing the tag to not confuse
new folks who are searching for that tag.

tags: removed: low-hanging-fruit

Change abandoned by Julian (<email address hidden>) on branch: master
Review: https://review.openstack.org/311758
Reason: Creating smaller patches of the change

Fix proposed to branch: master
Review: https://review.openstack.org/325435

Reviewed: https://review.openstack.org/320136
Committed: https://git.openstack.org/cgit/openstack/nova/commit/?id=76f80babb7c1b5cbf77750cd9282bdb876b188e8
Submitter: Jenkins
Branch: master

commit 76f80babb7c1b5cbf77750cd9282bdb876b188e8
Author: Julian Sy <email address hidden>
Date: Mon May 23 20:50:04 2016 +0000

    Add unit tests for nova.virt.firewall.IpTablesFirewallDriver (Part 1)

    There are no unit tests for the base IptablesFirewallDriver.
    This patch contains a start of those unit tests.
    (This is the first part of the abandoned commit
    Ie5372b060da1621927a638af915e15f29e885a4c )

    Co-Authored-By:
    Jay Pipes <email address hidden>
    (cherry picked from commit Ia9ef5ead95508cfb27b53b9899a9cfe97d150662)

    Chen Li <email address hidden>
    (Cherry picked from commit Ie2827051e1795c717f8a7762b932a49d182891cd

    Change-Id: I993b27479e893e3fe8c459da0da96a310c6278ae
    Partial-bug: #1295889

Reviewed: https://review.openstack.org/325435
Committed: https://git.openstack.org/cgit/openstack/nova/commit/?id=1729f268bcd213cd6372ab5315122907c2d109e8
Submitter: Jenkins
Branch: master

commit 1729f268bcd213cd6372ab5315122907c2d109e8
Author: Julian Sy <email address hidden>
Date: Fri Jun 3 17:37:40 2016 +0000

    Add unit tests for nova.virt.firewall.IpTablesFirewallDriver (Part 2)

    There are no unit tests for the base IptablesFirewallDriver.
    This patch contains a start of those unit tests.
    (This is the first part of the abandoned commit
    Ie5372b060da1621927a638af915e15f29e885a4c )

    Co-Authored-By:
    Jay Pipes <email address hidden>
    (cherry picked from commit Ia9ef5ead95508cfb27b53b9899a9cfe97d150662)

    Chen Li <email address hidden>
    (Cherry picked from commit Ie2827051e1795c717f8a7762b932a49d182891cd

    Change-Id: Ifde79ed85e65e06e57f312c70877e8753767772e
    Partial-bug: #1295889

@Julian: This is resolved with the two partial fixes, isn't it?

Fix proposed to branch: master
Review: https://review.openstack.org/355550

Reviewed: https://review.openstack.org/354277
Committed: https://git.openstack.org/cgit/openstack/nova/commit/?id=07b8a35bac58e72ad46d33270761364e68fb5519
Submitter: Jenkins
Branch: master

commit 07b8a35bac58e72ad46d33270761364e68fb5519
Author: Julian Sy <email address hidden>
Date: Thu Aug 11 17:40:37 2016 +0000

    Add unit tests for nova.virt.firewall.IpTablesFirewallDriver (Part 3)

    There are no unit tests for the base IptablesFirewallDriver.
    This patch adds those unit tests.
    (This is the third part of the abandoned commit
    Ie5372b060da1621927a638af915e15f29e885a4c )

    Co-Authored-By:
    Jay Pipes <email address hidden>
    (cherry picked from commit Ia9ef5ead95508cfb27b53b9899a9cfe97d150662)

    Chen Li <email address hidden>
    (Cherry picked from commit Ie2827051e1795c717f8a7762b932a49d182891cd

    Change-Id: Iebeac33a4290bdafc4e6d9be80fb704f2f29652f
    Partial-bug: #1295889

Reviewed: https://review.openstack.org/355550
Committed: https://git.openstack.org/cgit/openstack/nova/commit/?id=37d1acd772ec4a6103f91fbf1cb6589147855e95
Submitter: Jenkins
Branch: master

commit 37d1acd772ec4a6103f91fbf1cb6589147855e95
Author: Julian Sy <email address hidden>
Date: Mon Aug 15 15:53:45 2016 +0000

    Add unit tests for nova.virt.firewall.IpTablesFirewallDriver (Part 4)

    There are no unit tests for the base IptablesFirewallDriver.
    This patch adds those unit tests.
    (This is the fourth part of the abandoned commit
    Ie5372b060da1621927a638af915e15f29e885a4c )

    Co-Authored-By:
    Jay Pipes <email address hidden>
    (cherry picked from commit Ia9ef5ead95508cfb27b53b9899a9cfe97d150662)

    Chen Li <email address hidden>
    (Cherry picked from commit Ie2827051e1795c717f8a7762b932a49d182891cd

    Change-Id: Ib1d41fe55bf8fcf4ded8b48765f9f1d6fd3d19c1
    Partial-bug: #1295889

Sean Dague (sdague) wrote :

There are no currently open reviews on this bug, changing
the status back to the previous state and unassigning. If
there are active reviews related to this bug, please include
links in comments.

Changed in nova:
status: In Progress → Confirmed
assignee: Julian Sy (syjulian) → nobody
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers